.Dd 2017-05-23
.Dt RB79-MODERATE-POST 1
.Os
.Sh NAME
.Nm rb79-moderate-post
.Nd edit a post, sticky, or close a thread
.Sh SYNOPSIS
.Nm
.Fl b
.Ar board-name
.Fl p
.Ar post-id
.Oo
.Fl a
.Ar moderator-message
.Oc
.Oo
.Fl s
|
.Fl S
.Oc
.Oo
.Fl c
|
.Fl C
.Oc
.Sh DESCRIPTION
.Nm
performs rudimentary moderation on a post, either adding a warning
message to the post, stickying
.Pq or unstickying
or closing
.Pq or unclosing
threads.
.Sh OPTIONS
.Bl -tag -width Ds
.It Fl b
The name of the board on which the target post is present.
.It Fl p
The id of the post to moderate. If
.Fl s ,
.Fl S ,
.Fl c ,
or
.Fl C
are given, then this post must be a thread's OP.
.It Fl a
Append a message to the contents of post. The message will be
parenthesized and styled.
.It Fl s Po Fl S Pc
Sticky
.Pq unsticky
the thread with OP given by
.Ar post-id .
.It Fl c Po Fl C Pc
Close
.Pq unclose
the thread with OP given by
.Ar post-id .
.El
.Sh EXAMPLES
.Pp
.Dl % rb79-moderate-post -b m -p 123 -a 'User was banned for this post'
.Pp
.Dl % rb79-moderate-post -b sf -p 1 -s -c
.Pp
.Dl % rb79-moderate-post -b m -p 13489 -c -a 'None of that, now'
.Pp
.Sh SEE ALSO
.Xr rb79 1
.Sh AUTHORS
.An De Rais Aq Mt derais@cock.li
